const system = require("../../../system");
const ServiceBase = require("../../svems.base")

class merchantService extends ServiceBase {
    constructor() {
        super();
    }

    async merchantOfInfo(params) {
        try {
            return await this.callms("sve_merchant", "merchantOfInfo", params);
        } catch (error) {
            return system.getResult(null, `系统错误 错误信息 ${error}`);
        }
    }
    async merchantToIdsInfo(params) {
        try {
            return await this.callms("sve_merchant", "merchantToIdsInfo", params);
        } catch (error) {
            return system.getResult(null, `系统错误 错误信息 ${error}`);
        }
    }
}

module.exports = merchantService;
